<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" validaterequest="false" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_configuration_manageusers_setup, App_Web_oihz7qx0" title="iPurchaseOrder v1.0 Administration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">

    <div id="content_partial">
    
        <h2 class="title no_space_under"></h2>
        
        <asp:PlaceHolder ID="errs" runat="server" />
	                
        <asp:Panel ID="pnl_saved" Visible="false" runat="server">
            <div id="div_saved" class="alert_box">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-green.gif" AlternateText="Saved" /> Your changes have been saved.</p>
            </div>
        </asp:Panel>
                                        
        <fieldset>
		    <legend>Edit User</legend>
		    <table width="100%" cellpadding="4" cellspacing="0" border="0">

<asp:Panel ID="pnl_roles" Visible="false" runat="server">
		        <tr>
		            <td>Role:</td>
		            <td>
		            <asp:DropDownList runat="server"  ID="role" Width="100" CssClass="lblDrop" AutoPostBack="true" ></asp:DropDownList>
		            &nbsp;&nbsp;<asp:LinkButton CausesValidation="false" runat="server" id="btnShowRoleHelp" OnClick="btnShowRoleHelp_Click">What do these roles mean?</asp:LinkButton></td>
		        </tr>
</asp:Panel>

		        <tr runat="server" id="trRoleHelp" visible="false">
		            <td></td>
		            <td>
                        Admins can login to the admin console and see everything.
                        <br />
                        Clerks can login to the admin console but cannot see the Configuration or Import sections.
                        <br />
                        Web Service users can access your web service API, but cannot login to the admin console.
		            </td>
		        </tr>
		        <tr>
		            <td width="120">Login Name:</td>
		            <td><asp:TextBox Width="200" ID="loginname" CssClass="lblDrop" runat="server" /></td>
		            <td><asp:RequiredFieldValidator ID="r2" runat="server" ControlToValidate="loginname" ErrorMessage="Login Name Required" EnableClientScript="false" /></td>
		        </tr>
		        <tr visible="true" runat="server" id="trEmail">
		            <td width="120">Email:</td>
		            <td><asp:TextBox Width="200" ID="email" CssClass="lblDrop" runat="server" /></td>
		            <td><asp:RequiredFieldValidator ID="r3" runat="server" ErrorMessage="The email address is required." ControlToValidate="email" EnableClientScript="false" />
                        <asp:RegularExpressionValidator ID="r5" runat="server" ErrorMessage="Please enter a valid email address." ControlToValidate="email" EnableClientScript="false" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" /></td>
		        </tr>
		        <tr runat="server" id="tr_password_edit">
                    <td width="120" nowrap="nowrap">Password:</td>
                    <td class="label"><asp:LinkButton runat="server" ID="cmd_edit_password" CausesValidation="False"></asp:LinkButton></td>
                </tr>
                <tr runat="server" id="tr_password" visible="false">
                    <td width="120" nowrap="nowrap">Password:</td>
                    <td class="label">
                        <asp:TextBox Width="200" ID="password" CssClass="lblDrop" TextMode="Password" runat="server" />
                        <asp:RequiredFieldValidator ID="r4" runat="server" ErrorMessage="Password is required." ControlToValidate="password" EnableClientScript="false" />
                        <asp:CompareValidator ID="cmp1" runat="server" ErrorMessage="Passwords must match." ControlToValidate="password" ControlToCompare="password_confirm" Operator="Equal" EnableClientScript="false" />
                    </td>
                </tr>
                <tr runat="server" id="tr_password_confirm" visible="false">
                    <td width="120" nowrap="nowrap">Password Confirm:</td>
                    <td class="label"><asp:TextBox Width="200" ID="password_confirm" CssClass="lblDrop" TextMode="Password" runat="server" /></td>
                </tr>
		        <tr>
                    <td></td>
                    <td><asp:Button ID="cmd" Width="120" runat="server" Text="Submit" /></td>
                </tr>
		    </table>
                <asp:CustomValidator ID="c_loginname" runat="server" EnableClientScript="false" Display="static" ControlToValidate="loginname" ErrorMessage="This loginname already exists." />
                <asp:CustomValidator ID="c_email" runat="server" EnableClientScript="false" Display="Static" ControlToValidate="email" ErrorMessage="This email address already exists." />
                <asp:CustomValidator ID="c_password" runat="server" EnableClientScript="false" Display="static" ControlToValidate="password" ErrorMessage="Password should contain minimum 4 characters." />
                <asp:CustomValidator ID="c1_email" runat="server" EnableClientScript="false" Display="static" ControlToValidate="loginname" ErrorMessage="Loginname should contain minimum 4 characters." />

		</fieldset>
	    
    </div>
    
</asp:Content>