<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_home, App_Web_lv_xul22" title="iPurchaseOrder v1.0 Administration" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">
    <div id="content_full">
<asp:Panel ID="pnl_textboxError" Visible="false" runat="server">
        <div align="center">
		    <asp:label id="txtBoxError" runat="server" Font-Size="Small" Font-Bold="true" ForeColor="red" BorderStyle="None"></asp:label>
		</div>
</asp:Panel>

<asp:Panel ID="pnl_title" Visible="false" runat="server">
        <h2 class="title no_space_under">Administrator Home</h2>
</asp:Panel>
 
        <table width="100%" cellpadding="0" cellspacing="0" border="0">
            <tr>
                <td style="width: 25%;" valign="top">
                    <fieldset>
                        <legend>Quick Links</legend>
<asp:Panel id="pnl_PurchaseQuickLinks" visible="false" runat="server">
                        <ul class="arrows">
                            <li class="labelSubmenuPage"><a href="purchases/edit.aspx">Create a Purchase Order</a></li>
                            <li class="labelSubmenuPage"><a href="purchases/list.aspx?reset=1">View All Purchase Orders</a></li>
                            <li class="labelSubmenuPage"><a href="purchases/list.aspx?dnv_status_id=32&amp;reset=1">View Pending Purchase Orders</a></li>
                            <li class="labelSubmenuPage"><a href="purchases/list.aspx?dnv_status_id=41&amp;reset=1">View Approved Purchase Orders</a></li>
                            <li class="labelSubmenuPage"><a href="received/list.aspx?dnv_status_id=41&amp;reset=1">Enter Received Items</a></li>
                            <li class="labelSubmenuPage"><a href="reports/default.aspx">Purchase Order Reports</a></li>
                            <li class="labelSubmenuPage"><a href="purchases/stored.aspx">Stored Items</a></li>
                            <li class="labelSubmenuPage"><a href="vendors/edit.aspx">Create a Vendor</a></li>

<asp:Panel ID="pnl_paymentpo" Visible="false" runat="server">
                            <li class="labelSubmenuPage"><a href="reports/paymentspo.aspx">Payment Report</a></li>
                            <li class="labelSubmenuPage"><a href="paymentspo/edit.aspx">Post a Payment</a></li>
</asp:Panel>
                        </ul>
                        <br />
</asp:Panel>

<asp:Panel id="pnl_InvoiceQuickLinks" visible="false" runat="server">
                        <ul class="arrows">
                            <li class="labelSubmenuPage"><a href="invoices/edit.aspx">Create an Invoice</a></li>
                            <li class="labelSubmenuPage"><a href="invoices/list.aspx">View Invoices</a></li>
                            <li class="labelSubmenuPage"><a href="payments/edit.aspx">Post a Payment</a></li>
                            <li class="labelSubmenuPage"><a href="reports/invoices.aspx">Invoice Report</a></li>
                            <li class="labelSubmenuPage"><a href="reports/payments.aspx">Payment Report</a></li>
                            <li class="labelSubmenuPage"><a href="clients/edit.aspx">Create a Client</a></li>
                        </ul>
                        <br />
</asp:Panel>
                    </fieldset>

<div id="menutabs">
<ajaxToolkit:TabContainer ID="TabContainerMenu1" CssClass="CustomTabStyle" runat="server" activetabindex="0">
<ajaxToolkit:TabPanel ID="TabPanelMenuPurchase" TabIndex="0" runat="server" HeaderText="Vendors">
<ContentTemplate>
        <table width="100%" cellpadding="0" cellspacing="0" border="0">
            <tr><td>
<asp:Panel id="pnl_PurchaseDetail1" visible="false" runat="server">
                    <fieldset>
                        <legend>Top Vendors</legend>
                        <table width="100%" cellpadding="4" cellspacing="0" border="0">
                            <tr class="action">
                                <td class="left rpt_hdr">Vendor</td>
                                <td class="left rpt_hdr">Purchases</td>
                            </tr>
                            <asp:Repeater ID="rptVendors" runat="server">
                                <ItemTemplate>
                                    <tr class="shaded">
                                        <td><%#IIf(String.IsNullOrEmpty(Convert.ToString(Eval("company"))), Eval("last_name") & ", " & Eval("first_name"), Eval("company"))%></td>
                                        <td><%#FormatCurrency(Eval("amount"), 2)%></td>
                                    </tr>
                                </ItemTemplate>
                                <AlternatingItemTemplate>
                                    <tr class="noshaded">
                                        <td><%#IIf(String.IsNullOrEmpty(Convert.ToString(Eval("company"))), Eval("last_name") & ", " & Eval("first_name"), Eval("company"))%></td>
                                        <td><%#FormatCurrency(Eval("amount"), 2)%></td>
                                    </tr>
                                </AlternatingItemTemplate>
                            </asp:Repeater>
                        </table>
                    </fieldset>
</asp:Panel>
            </td></tr>
        </table>
</ContentTemplate>
</ajaxToolkit:TabPanel>
<ajaxToolkit:TabPanel ID="TabPanelMenuInvoice" TabIndex="1" runat="server" HeaderText="Clients">
<ContentTemplate>
        <table width="100%" cellpadding="1" cellspacing="1" border="0">
            <tr><td>
<asp:Panel id="pnl_InvoiceDetail1" visible="false" runat="server">

                    <fieldset>
                        <legend>Top Clients</legend>
                        <table width="100%" cellpadding="4" cellspacing="0" border="0">
                            <tr class="action">
                                <td class="left rpt_hdr">Client</td>
                                <td class="left rpt_hdr">Sales</td>
                            </tr>
                            <asp:Repeater ID="rptCustomers" runat="server">
                                <ItemTemplate>
                                    <tr class="shaded">
                                        <td><%#IIf(String.IsNullOrEmpty(Convert.ToString(Eval("company"))), Eval("last_name") & ", " & Eval("first_name"), Eval("company"))%></td>
                                        <td><%#FormatCurrency(Eval("amount"), 2)%></td>
                                    </tr>
                                </ItemTemplate>
                                <AlternatingItemTemplate>
                                    <tr class="noshaded">
                                        <td><%#IIf(String.IsNullOrEmpty(Convert.ToString(Eval("company"))), Eval("last_name") & ", " & Eval("first_name"), Eval("company"))%></td>
                                        <td><%#FormatCurrency(Eval("amount"), 2)%></td>
                                    </tr>
                                </AlternatingItemTemplate>
                            </asp:Repeater>
                        </table>
                    </fieldset>
</asp:Panel>
        </td></tr>
        </table>
</ContentTemplate>
</ajaxToolkit:TabPanel>

</ajaxToolkit:TabContainer>
</div>
                </td>
                
                <td style="width: 1%;"><asp:Image ID="imgspacer" ImageUrl="~/images/spacer.gif" Width="1" Height="1" runat="server" /></td>
                
                <td style="width: 72%;" valign="top">

<div id="maintabs">
<ajaxToolkit:TabContainer ID="TabContainerMain1" CssClass="CustomTabStyle" runat="server" activetabindex="0">
<ajaxToolkit:TabPanel ID="TabPanelMainPurchase1" TabIndex="0" Visible="true" runat="server" HeaderText="Purchase Orders">
<ContentTemplate>
        <table width="100%" cellpadding="0" cellspacing="0" border="0">
            <tr><td>

<asp:Panel id="pnl_PurchaseDetail2" visible="false" runat="server">

                    <fieldset>
                        <legend>Pending Purchase Orders</legend>
<div style="text-align: right; height:1px; padding: 5px 0 15px 0;">
<asp:label id="txtTotalRecords" runat="server" Font-Size="X-Small" Font-Bold="true" ForeColor="#C1C1C1" BorderStyle="None"></asp:label>
</div>
                       
                        <table width="100%" cellpadding="4" cellspacing="0" border="0">
                            <tr class="action">
                                <td class="left rpt_hdr" width="75">ID</td>
                                <td class="left rpt_hdr">Vendor</td>
                                <td class="left rpt_hdr">Terms</td>
                                <td class="rpt_hdr_right">Amount</td>
                                <td class="rpt_hdr_center">Status</td>
                        <td class="rpt_hdr_center">Sent for<br />Approval</td>
                        <td class="rpt_hdr_center">Sent to<br />Vendor</td>
                        <td class="rpt_hdr_center">Sent</td>
                                <td class="rpt_hdr_center">Due</td>
                                <td style="width:80px;" class="center rpt_hdr">Days Late</td>
                            </tr>
                            <asp:Repeater ID="rptPastDuePo" runat="server">
                                <ItemTemplate>
                                    <tr class="shaded">
                                        <td><a href="purchases/edit.aspx?id=<%#Eval("id")%>"><%#functions.GetPurchasePrefix().ToString%><%#Eval("id")%></a></td>
                                        <td><%#IIf(String.IsNullOrEmpty(Convert.ToString(Eval("VendorData.Company"))), Eval("VendorData.LastName") & ", " & Eval("VendorData.FirstName"), Mid(Eval("VendorData.Company"), 1, 25))%></td>
                                        <td class="rpt_hdr_left"><%#Eval("poterms")%></td>
                                        <td class="rpt_hdr_right"><%#FormatCurrency(Convert.ToDecimal(Eval("purchaseTotal")) - Convert.ToDecimal(Eval("PaymentsTotal")), 2)%></td>
                                        <td class="rpt_hdr_center"><%#Eval("status")%></td>
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOApprover(DataBinder.Eval(Container.DataItem, "ID"), 6, 0).Count) > 0, "Yes", "No")%></td> 
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOVendor(DataBinder.Eval(Container.DataItem, "ID"), 7).Count) > 0, "Yes", "No")%></td> 
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(Eval("Reminders.Count")) > 0, "<a href='purchases/reminders.aspx?id=" & Eval("ID") & "'>Yes</a>", "No")%></td>
                                        <td class="rpt_hdr_center"><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
                                        <td class="rpt_hdr_center"><%#DateDiff(DateInterval.Day, Convert.ToDateTime(Eval("DueDate")), Now)%></td>
                                    </tr>
                                </ItemTemplate>
                                <AlternatingItemTemplate>
                                    <tr class="noshaded">
                                        <td><a href="purchases/edit.aspx?id=<%#Eval("id")%>"><%#functions.GetPurchasePrefix().ToString%><%#Eval("id")%></a></td>
                                        <td><%#IIf(String.IsNullOrEmpty(Convert.ToString(Eval("VendorData.Company"))), Eval("VendorData.LastName") & ", " & Eval("VendorData.FirstName"), Mid(Eval("VendorData.Company"), 1, 25))%></td>
                                        <td class="rpt_hdr_left"><%#Eval("poterms")%></td>
                                        <td class="rpt_hdr_right"><%#FormatCurrency(Convert.ToDecimal(Eval("purchaseTotal")) - Convert.ToDecimal(Eval("PaymentsTotal")), 2)%></td>
                                        <td class="rpt_hdr_center"><%#Eval("status")%></td>
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOApprover(DataBinder.Eval(Container.DataItem, "ID"), 6, 0).Count) > 0, "Yes", "No")%></td> 
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOVendor(DataBinder.Eval(Container.DataItem, "ID"), 7).Count) > 0, "Yes", "No")%></td> 
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(Eval("Reminders.Count")) > 0, "<a href='purchases/reminders.aspx?id=" & Eval("ID") & "'>Yes</a>", "No")%></td>
                                        <td class="rpt_hdr_center"><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
                                        <td class="rpt_hdr_center"><%#DateDiff(DateInterval.Day, Convert.ToDateTime(Eval("DueDate")), Now)%></td>
                                    </tr>
                                </AlternatingItemTemplate>
                            </asp:Repeater>

<asp:Panel id="pnl_Paging1" visible="true" runat="server">
<tr><td colspan="9">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <div style="display:none;" runat="server" id="div_paging_btmP" class="pages">
                        <span id="span_previous_btmP" runat="server" class="nextprev">&laquo;&nbsp;Previous</span>
                        <asp:LinkButton OnCommand="PagingPendingClick" CommandArgument="-1" CssClass="nextprev" ID="lnk_previous_btmP" runat="server" Text="&laquo;&nbsp;Previous" />
                        <asp:Repeater ID="rptPastDuePo_paging_btm" runat="server">
                            <ItemTemplate>
                                <asp:LinkButton OnCommand="PagingPendingClick" CssClass="nextprev" ID="lnk_pageP" runat="server" CommandArgument='<%#DataBinder.Eval(Container, "DataItem.page")%>' Text='<%#DataBinder.Eval(Container, "DataItem.page")%>' />
                                <span id="span_pageP" class="currentPage" runat="server"><%#DataBinder.Eval(Container, "DataItem.page")%></span>
                            </ItemTemplate>
                        </asp:Repeater>	
                        <asp:LinkButton OnCommand="PagingPendingClick" CommandArgument="+1" CssClass="nextprev" ID="lnk_next_btmP" runat="server" Text="Next&nbsp;&raquo;" />
                        <span id="span_next_btmP" runat="server" class="nextprev">Next&nbsp;&raquo;</span>
                    &nbsp;<asp:linkbutton runat="server" Text="Reset" Font-Size="X-Small" id="cmd_resetPending" OnClick="cmd_resetPending_Click" />
                    </div>
                </td>
            </tr>
        </table>
</td></tr>
</asp:Panel>
                   
<asp:Panel id="pnl_PurchaseDetailNo1" visible="false" runat="server">
<tr><td colspan="9">
<asp:label id="Label1" Text="No Records Found!" Font-Size="X-Small" Font-Bold="true" ForeColor="#c1c1c1" BorderStyle="None" runat="server" />
</td></tr>
</asp:Panel>
                        </table>
                        
                    </fieldset>
                    <fieldset>
                        <legend>Approved Purchase Orders</legend>
<div style="text-align: right; height:1px; padding: 5px 0 15px 0;">
<asp:label id="txtTotalRecords2" runat="server" Font-Size="X-Small" Font-Bold="true" ForeColor="#C1C1C1" BorderStyle="None"></asp:label>
</div>
                        
                        <table width="100%" cellpadding="4" cellspacing="0" border="0">
                            <tr class="action">
                                <td class="left rpt_hdr" width="75">ID</td>
                                <td class="left rpt_hdr">Vendor</td>
                                <td class="left rpt_hdr">Terms</td>
                                <td class="rpt_hdr_right">Amount</td>
                                <td class="rpt_hdr_center">Status</td>
                        <td class="rpt_hdr_center">Sent for<br />Approval</td>
                        <td class="rpt_hdr_center">Sent to<br />Vendor</td>
                        <td class="rpt_hdr_center">Sent</td>
                                <td class="rpt_hdr_center">Due</td>
                                <td style="width:80px;" class="center rpt_hdr">Days Late</td>
                            </tr>
                            <asp:Repeater ID="rptApprovedPo" runat="server">
                                <ItemTemplate>
                                    <tr class="shaded">
                                        <td><a href="purchases/edit.aspx?id=<%#Eval("id")%>"><%#functions.GetPurchasePrefix().ToString%><%#Eval("id")%></a></td>
                                        <td><%#IIf(String.IsNullOrEmpty(Convert.ToString(Eval("VendorData.Company"))), Eval("VendorData.LastName") & ", " & Eval("VendorData.FirstName"), Mid(Eval("VendorData.Company"), 1, 25))%></td>
                                        <td class="rpt_hdr_left"><%#Eval("poterms")%></td>
                                        <td class="rpt_hdr_right"><%#FormatCurrency(Convert.ToDecimal(Eval("purchaseTotal")) - Convert.ToDecimal(Eval("PaymentsTotal")), 2)%></td>
                                        <td class="rpt_hdr_center"><%#Eval("status")%></td>
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOApprover(DataBinder.Eval(Container.DataItem, "ID"), 6, 0).Count) > 0, "Yes", "No")%></td> 
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOVendor(DataBinder.Eval(Container.DataItem, "ID"), 7).Count) > 0, "Yes", "No")%></td> 
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(Eval("Reminders.Count")) > 0, "<a href='purchases/reminders.aspx?id=" & Eval("ID") & "'>Yes</a>", "No")%></td>
                                        <td class="rpt_hdr_center"><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
                                        <td class="rpt_hdr_center"><%#DateDiff(DateInterval.Day, Convert.ToDateTime(Eval("DueDate")), Now)%></td>
                                    </tr>
                                </ItemTemplate>
                                <AlternatingItemTemplate>
                                    <tr class="noshaded">
                                        <td><a href="purchases/edit.aspx?id=<%#Eval("id")%>"><%#functions.GetPurchasePrefix().ToString%><%#Eval("id")%></a></td>
                                        <td><%#IIf(String.IsNullOrEmpty(Convert.ToString(Eval("VendorData.Company"))), Eval("VendorData.LastName") & ", " & Eval("VendorData.FirstName"), Mid(Eval("VendorData.Company"), 1, 25))%></td>
                                        <td class="rpt_hdr_left"><%#Eval("poterms")%></td>
                                        <td class="rpt_hdr_right"><%#FormatCurrency(Convert.ToDecimal(Eval("purchaseTotal")) - Convert.ToDecimal(Eval("PaymentsTotal")), 2)%></td>
                                        <td class="rpt_hdr_center"><%#Eval("status")%></td>
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOApprover(DataBinder.Eval(Container.DataItem, "ID"), 6, 0).Count) > 0, "Yes", "No")%></td> 
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(functions.GetPORemindersForPOVendor(DataBinder.Eval(Container.DataItem, "ID"), 7).Count) > 0, "Yes", "No")%></td> 
                        <td class="rpt_hdr_center"><%#IIf(Convert.ToInt32(Eval("Reminders.Count")) > 0, "<a href='purchases/reminders.aspx?id=" & Eval("ID") & "'>Yes</a>", "No")%></td>
                                        <td class="rpt_hdr_center"><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
                                        <td class="rpt_hdr_center"><%#DateDiff(DateInterval.Day, Convert.ToDateTime(Eval("DueDate")), Now)%></td>
                                    </tr>
                                </AlternatingItemTemplate>
                            </asp:Repeater>

<asp:Panel id="pnl_Paging2" visible="true" runat="server">
<tr><td colspan="9">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <div style="display:none;" runat="server" id="div_paging_btmA" class="pages">
                        <span id="span_previous_btmA" runat="server" class="nextprev">&laquo;&nbsp;Previous</span>
                        <asp:LinkButton OnCommand="PagingApprovedClick" CommandArgument="-1" CssClass="nextprev" ID="lnk_previous_btmA" runat="server" Text="&laquo;&nbsp;Previous" />
                        <asp:Repeater ID="rptApprovedPo_paging_btm" runat="server">
                            <ItemTemplate>
                                <asp:LinkButton OnCommand="PagingApprovedClick" CssClass="nextprev" ID="lnk_pageA" runat="server" CommandArgument='<%#DataBinder.Eval(Container, "DataItem.page")%>' Text='<%#DataBinder.Eval(Container, "DataItem.page")%>' />
                                <span id="span_pageA" class="currentPage" runat="server"><%#DataBinder.Eval(Container, "DataItem.page")%></span>
                            </ItemTemplate>
                        </asp:Repeater>	
                        <asp:LinkButton OnCommand="PagingApprovedClick" CommandArgument="+1" CssClass="nextprev" ID="lnk_next_btmA" runat="server" Text="Next&nbsp;&raquo;" />
                        <span id="span_next_btmA" runat="server" class="nextprev">Next&nbsp;&raquo;</span>
                    &nbsp;<asp:linkbutton runat="server" Text="Reset" Font-Size="X-Small" id="cmd_resetApproved" OnClick="cmd_resetApproved_Click" />
                    </div>
                </td>
            </tr>
        </table>
</td></tr>
</asp:Panel>
                            
<asp:Panel id="pnl_PurchaseDetailNo2" visible="false" runat="server">
<tr><td colspan="9">
<asp:label id="Label2" Text="No Records Found!" Font-Size="X-Small" Font-Bold="true" ForeColor="#c1c1c1" BorderStyle="None" runat="server" />
</td></tr>
</asp:Panel>
                        </table>
                    </fieldset>                    
</asp:Panel>
                </td></tr>
                <tr><td>&nbsp;<asp:button runat="server" Text="Reset All" Font-Size="X-Small" id="cmd_resetAll" OnClick="cmd_resetAll_Click" /></td></tr>
        </table>
</ContentTemplate>
</ajaxToolkit:TabPanel>
<ajaxToolkit:TabPanel ID="TabPanelMainPurchase2" TabIndex="0" runat="server" HeaderText="Purchase Order Stats">
<ContentTemplate>
        <table width="100%" cellpadding="0" cellspacing="0" border="0">
            <tr><td>
<asp:Panel id="pnl_PurchaseDetail3" visible="false" runat="server">

                    <fieldset>
                        <legend>Purchase Order Stats</legend>
                        <table width="100%" cellpadding="4" cellspacing="0" border="0">
                            <tr class="action">
                                <td class="left rpt_hdr">Indicator</td>
                                <td class="left rpt_hdr">Period</td>
                                <td class="left rpt_hdr">Dates</td>
                                <td style="width:80px;" class="center rpt_hdr">Quantity</td>
                                <td style="width:80px;" class="right rpt_hdr">Subtotal (+Tax)</td>
                                <td style="width:80px;" class="right rpt_hdr">Shipping</td>
                                <td style="width:80px;" class="right rpt_hdr">Total</td>
                            </tr>
                            <tr class="shaded">
                                <td><strong>Purchases</strong></td>
                                <td>Today</td>
                                <td><%=GetDate(1)%></td>
                                <td class="center"><asp:Label ID="purchases_today_qty" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_today_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="shipping_today_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_today_gtotal" runat="server" /></td>
                            </tr>
                            <tr class="noshaded">
                                <td>&nbsp;</td>
                                <td>Yesterday</td>
                                <td><%=GetDate(2)%></td>
                                <td class="center"><asp:Label ID="purchases_yesterday_qty" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_yesterday_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="shipping_yesterday_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_yesterday_gtotal" runat="server" /></td>
                            </tr>
                            <tr class="shaded">
                                <td>&nbsp;</td>
                                <td>This Month</td>
                                <td><%=GetDate(3)%></td>
                                <td class="center"><asp:Label ID="purchases_thismonth_qty" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_thismonth_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="shipping_thismonth_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_thismonth_gtotal" runat="server" /></td>
                            </tr>
                            <tr class="noshaded">
                                <td>&nbsp;</td>
                                <td>Last Month</td>
                                <td><%=GetDate(4)%></td>
                                <td class="center"><asp:Label ID="purchases_lastmonth_qty" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_lastmonth_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="shipping_lastmonth_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_lastmonth_gtotal" runat="server" /></td>
                            </tr>
                            <tr class="shaded">
                                <td>&nbsp;</td>
                                <td>Last Year</td>
                                <td><%=GetDate(5)%></td>
                                <td class="center"><asp:Label ID="purchases_lastyear_qty" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_lastyear_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="shipping_lastyear_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_lastyear_gtotal" runat="server" /></td>
                            </tr>
                            <tr class="noshaded">
                                <td>&nbsp;</td>
                                <td>This Year</td>
                                <td><%=GetDate(6)%></td>
                                <td class="center"><asp:Label ID="purchases_year_qty" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_year_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="shipping_year_total" runat="server" /></td>
                                <td class="right"><asp:Label ID="purchases_year_gtotal" runat="server" /></td>
                            </tr>
                        </table>
                    </fieldset>

</asp:Panel>
            </td></tr>
        </table>
</ContentTemplate>
</ajaxToolkit:TabPanel>

<ajaxToolkit:TabPanel ID="TabPanelMainInvoice1" TabIndex="1" Visible="true" runat="server" HeaderText="Invoices">
<ContentTemplate>
        <table width="100%" cellpadding="1" cellspacing="1" border="0">
            <tr><td>
                
<asp:Panel id="pnl_InvoiceDetail2" visible="false" runat="server">
                    
                    <fieldset>
                        <legend>Past Due Invoices</legend>
                        <table width="100%" cellpadding="4" cellspacing="0" border="0">
                            <tr class="action">
                                <td class="left rpt_hdr" width="75">ID</td>
                                <td class="left rpt_hdr">Customer</td>
                                <td class="left rpt_hdr">Terms</td>
                                <td class="left rpt_hdr">Amount Due</td>
                                <td class="left rpt_hdr">Status</td>
                                <td class="left rpt_hdr">Due</td>
                                <td style="width:80px;" class="center rpt_hdr">Days Late</td>
                            </tr>
                            <asp:Repeater ID="rptPastDue" runat="server">
                                <ItemTemplate>
                                    <tr class="shaded">
                                        <td><a href="invoices/edit.aspx?id=<%#Eval("id")%>"><%#functions.GetInvoicePrefix().ToString%><%#Eval("id")%></a></td>
                                        <td><%#IIf(String.IsNullOrEmpty(Convert.ToString(Eval("ClientData.Company"))), Eval("ClientData.LastName") & ", " & Eval("ClientData.FirstName"), Eval("ClientData.Company"))%></td>
                                        <td><%#Eval("invterms")%></td>
                                        <td><%#FormatCurrency(Convert.ToDecimal(Eval("InvoiceTotal")) - Convert.ToDecimal(Eval("PaymentsTotal")), 2)%></td>
                                        <td><%#Eval("status")%></td>
                                        <td><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
                                        <td class="center"><%#DateDiff(DateInterval.Day, Convert.ToDateTime(Eval("DueDate")), Now)%></td>
                                    </tr>
                                </ItemTemplate>
                                <AlternatingItemTemplate>
                                    <tr class="noshaded">
                                        <td><a href="invoices/edit.aspx?id=<%#Eval("id")%>"><%#functions.GetInvoicePrefix().ToString%><%#Eval("id")%></a></td>
                                        <td><%#IIf(String.IsNullOrEmpty(Convert.ToString(Eval("ClientData.Company"))), Eval("ClientData.LastName") & ", " & Eval("ClientData.FirstName"), Eval("ClientData.Company"))%></td>
                                        <td><%#Eval("invterms")%></td>
                                        <td><%#FormatCurrency(Convert.ToDecimal(Eval("InvoiceTotal")) - Convert.ToDecimal(Eval("PaymentsTotal")), 2)%></td>
                                        <td><%#Eval("status")%></td>
                                        <td><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
                                        <td class="center"><%#DateDiff(DateInterval.Day, Convert.ToDateTime(Eval("DueDate")), Now)%></td>
                                    </tr>
                                </AlternatingItemTemplate>
                            </asp:Repeater>
<asp:Panel id="pnl_InvoiceDetailNo1" visible="false" runat="server">
<tr><td colspan="9">
<asp:label id="Label3" Text="No Records Found!" Font-Size="X-Small" Font-Bold="true" ForeColor="#c1c1c1" BorderStyle="None" runat="server" />
</td></tr>
</asp:Panel>
                        </table>
                    </fieldset>
                    
                    <fieldset>
                        <legend>Recent Invoices</legend>
                        <table width="100%" cellpadding="4" cellspacing="0" border="0">
                            <tr class="action">
                                <td class="left rpt_hdr" width="75">ID</td>
                                <td class="left rpt_hdr">Total</td>
                                <td class="left rpt_hdr">Created</td>
                                <td class="left rpt_hdr">Status</td>
                            </tr>
                            <asp:Repeater ID="rptInvoices" runat="server">
                                <ItemTemplate>
                                    <tr class="shaded">
                                        <td><a href="invoices/edit.aspx?id=<%#Eval("id")%>"><%#functions.GetInvoicePrefix().ToString%><%#Eval("id")%></a></td>
                                        <td><%#FormatCurrency(Eval("InvoiceTotal"), 2)%></td>
                                        <td><%#FormatDateTime(Convert.ToDateTime(Eval("InvoiceDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
                                        <td><%#Eval("status")%></td>
                                    </tr>
                                </ItemTemplate>
                                <AlternatingItemTemplate>
                                    <tr class="noshaded">
                                        <td><a href="invoices/edit.aspx?id=<%#Eval("id")%>"><%#functions.GetInvoicePrefix().ToString%><%#Eval("id")%></a></td>
                                        <td><%#FormatCurrency(Eval("InvoiceTotal"), 2)%></td>
                                        <td><%#FormatDateTime(Convert.ToDateTime(Eval("InvoiceDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
                                        <td><%#Eval("status")%></td>
                                    </tr>
                                </AlternatingItemTemplate>
                            </asp:Repeater>
<asp:Panel id="pnl_InvoiceDetailNo2" visible="false" runat="server">
<tr><td colspan="9">
<asp:label id="Label4" Text="No Records Found!" Font-Size="X-Small" Font-Bold="true" ForeColor="#c1c1c1" BorderStyle="None" runat="server" />
</td></tr>
</asp:Panel>
                        </table>
                    </fieldset>
</asp:Panel>
        </td></tr>
        <tr><td>

        </td></tr>
        </table>
</ContentTemplate>
</ajaxToolkit:TabPanel>
<ajaxToolkit:TabPanel ID="TabPanelMainInvoice2" TabIndex="0" runat="server" HeaderText="Invoice Stats">
<ContentTemplate>
        <table width="100%" cellpadding="0" cellspacing="0" border="0">
            <tr><td>
<asp:Panel id="pnl_InvoiceDetail3" visible="false" runat="server">
                    <fieldset>
                        <legend>Key Financial Stats</legend>
                        <table width="100%" cellpadding="4" cellspacing="0" border="0">
                            <tr class="action">
                                <td class="left rpt_hdr">Indicator</td>
                                <td class="left rpt_hdr">Period</td>
                                <td class="left rpt_hdr">Dates</td>
                                <td style="width:80px;" class="center rpt_hdr">Quantity</td>
                                <td style="width:80px;" class="center rpt_hdr">Total</td>
                            </tr>
                            <tr class="shaded">
                                <td><strong>Invoices</strong></td>
                                <td>Today</td>
                                <td><%=GetDate(1)%></td>
                                <td class="center"><asp:Label ID="invoices_today_qty" runat="server" /></td>
                                <td class="center"><asp:Label ID="invoices_today_total" runat="server" /></td>
                            </tr>
                            <tr class="noshaded">
                                <td>&nbsp;</td>
                                <td>Yesterday</td>
                                <td><%=GetDate(2)%></td>
                                <td class="center"><asp:Label ID="invoices_yesterday_qty" runat="server" /></td>
                                <td class="center"><asp:Label ID="invoices_yesterday_total" runat="server" /></td>
                            </tr>
                            <tr class="shaded">
                                <td>&nbsp;</td>
                                <td>This Month</td>
                                <td><%=GetDate(3)%></td>
                                <td class="center"><asp:Label ID="invoices_thismonth_qty" runat="server" /></td>
                                <td class="center"><asp:Label ID="invoices_thismonth_total" runat="server" /></td>
                            </tr>
                            <tr class="noshaded">
                                <td>&nbsp;</td>
                                <td>Last Month</td>
                                <td><%=GetDate(4)%></td>
                                <td class="center"><asp:Label ID="invoices_lastmonth_qty" runat="server" /></td>
                                <td class="center"><asp:Label ID="invoices_lastmonth_total" runat="server" /></td>
                            </tr>
                            <tr class="shaded">
                                <td>&nbsp;</td>
                                <td>This Year</td>
                                <td><%=GetDate(5)%></td>
                                <td class="center"><asp:Label ID="invoices_year_qty" runat="server" /></td>
                                <td class="center"><asp:Label ID="invoices_year_total" runat="server" /></td>
                            </tr>
                            <tr class="noshaded">
                                <td><strong>Payments</strong></td>
                                <td>Today</td>
                                <td><%=GetDate(1)%></td>
                                <td class="center"><asp:Label ID="payments_today_qty" runat="server" /></td>
                                <td class="center"><asp:Label ID="payments_today_total" runat="server" /></td>
                            </tr>
                            <tr class="shaded">
                                <td>&nbsp;</td>
                                <td>Yesterday</td>
                                <td><%=GetDate(2)%></td>
                                <td class="center"><asp:Label ID="payments_yesterday_qty" runat="server" /></td>
                                <td class="center"><asp:Label ID="payments_yesterday_total" runat="server" /></td>
                            </tr>
                            <tr class="noshaded">
                                <td>&nbsp;</td>
                                <td>This Month</td>
                                <td><%=GetDate(3)%></td>
                                <td class="center"><asp:Label ID="payments_thismonth_qty" runat="server" /></td>
                                <td class="center"><asp:Label ID="payments_thismonth_total" runat="server" /></td>
                            </tr>
                            <tr class="shaded">
                                <td>&nbsp;</td>
                                <td>Last Month</td>
                                <td><%=GetDate(4)%></td>
                                <td class="center"><asp:Label ID="payments_lastmonth_qty" runat="server" /></td>
                                <td class="center"><asp:Label ID="payments_lastmonth_total" runat="server" /></td>
                            </tr>
                            <tr class="noshaded">
                                <td>&nbsp;</td>
                                <td>This Year</td>
                                <td><%=GetDate(5)%></td>
                                <td class="center"><asp:Label ID="payments_year_qty" runat="server" /></td>
                                <td class="center"><asp:Label ID="payments_year_total" runat="server" /></td>
                            </tr>
                        </table>
                    </fieldset>
</asp:Panel>
            </td></tr>
        </table>
</ContentTemplate>
</ajaxToolkit:TabPanel>

</ajaxToolkit:TabContainer>
</div>

                </td>
            
            </tr>
        </table>
    
    </div>
    
</asp:Content>