<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_purchases_stored, App_Web_xleunhn4" title="iPurchaseOrder v1.0 Administration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">

    <div id="leftcontent">
    
        <h2 class="title no_space_under"></h2>
        
        <p class="pzerotop"><a href="stored-edit.aspx?ID=0">Add New Stored Item</a></p>
<div>
<asp:Image ID="Image2" runat="server" ImageUrl="~/images/spacer.gif" width="1" Height="5" AlternateText="Spacer" />
</div>
        
        <asp:Panel ID="pnl_none" Visible="false" runat="server">
            <div id="div_none" class="alert_box_red">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-red.gif" AlternateText="Saved" /> There are no stored purchase line items.</p>
            </div>
        </asp:Panel>
        
        <asp:Panel ID="pnl_txtBoxError" Visible="false" runat="server">
        <div align="center">
		    <asp:label id="txtBoxError" runat="server" Font-Size="Small" Font-Bold="true" ForeColor="red" BorderStyle="None"></asp:label>
		</div>
        </asp:Panel>

        <fieldset>
            <legend>Search Stored Purchase Items</legend>
            <table cellpadding="3" border="0">
                <tr>
                    <td>ID</td>
                    <td>Item Number</td>
                    <td>Description</td>
                    <td>Unit Type</td>
                    <td>Active (true/false)</td>
                    <td>Items Per Page</td>
                    <td align="left">&nbsp;</td>
                </tr>
                <tr>
                    <td><asp:TextBox ID="StoredItem_id" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="sItemNumber" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox width="240" ID="sDescription" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="sUnitType" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="sActive" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:DropDownList ID="results" CssClass="lblDrop" runat="server">
                        <asp:ListItem>5</asp:ListItem>
                        <asp:ListItem>10</asp:ListItem>
                        <asp:ListItem Selected="True">20</asp:ListItem>
                        <asp:ListItem>50</asp:ListItem>
                    </asp:DropDownList></td>
                    <td align="left">&nbsp;</td>
                </tr>
                
        <asp:Panel ID="PanelActive" Visible="false" runat="server">
                <tr>
                    <td>Amount</td>
                    <td>Discount</td>
                    <td>Taxable (true/false)</td>
                    <td>Deleted (true/false)</td>
                    <td colspan="3" align="left">&nbsp;</td>
                </tr>
                <tr>
                    <td><asp:TextBox ID="sAmount" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="sDiscount" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="sTaxable" CssClass="lblDrop" runat="server" /></td>
                    <td><asp:TextBox ID="sDeleted" CssClass="lblDrop" runat="server" /></td>
                    <td colspan="3" align="left">&nbsp;</td>
                </tr>
        </asp:Panel>
                <tr>
                    <td align="right"><asp:Button ID="btn" runat="server" Text="Search" OnClick="btn_Click" />
					&nbsp;<asp:button runat="server" Text="Reset" id="cmd_reset" OnClick="cmd_reset_Click"></asp:button></td>
                    <td colspan="6" align="left">&nbsp;</td>
                </tr>
            </table>            
        </fieldset>

        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <div style="display:none;" runat="server" id="div_paging_top" class="pages">
                        <span id="span_previous_top" runat="server" class="nextprev">&laquo;&nbsp;Previous</span>
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="-1" CssClass="nextprev" ID="lnk_previous_top" runat="server" Text="&laquo;&nbsp;Previous" />
                        <asp:Repeater ID="rpt_paging_top" runat="server">
                            <ItemTemplate>
                                <asp:LinkButton OnCommand="PagingClick" CssClass="nextprev" ID="lnk_page" runat="server" CommandArgument='<%# DataBinder.Eval(Container, "DataItem.page") %>' Text='<%#DataBinder.Eval(Container, "DataItem.page")%>' />
                                <span id="span_page" class="currentPage" runat="server"><%#DataBinder.Eval(Container, "DataItem.page")%></span>
                            </ItemTemplate>
                        </asp:Repeater>	
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="+1" CssClass="nextprev" ID="lnk_next_top" runat="server" Text="Next&nbsp;&raquo;" />
                        <span id="span_next_top" runat="server" class="nextprev">Next&nbsp;&raquo;</span>
                    </div>
                </td>
            </tr>
        </table>

        <asp:Repeater ID="rpt" runat="server">
            <HeaderTemplate>
                <br />
                <table class="data" cellspacing="0" cellpadding="0" border="0" width="100%">
                    <tr class="title">
                        <td colspan="11"><h2 style="float:left;">Stored Line Items</h2></td>
                    </tr>
                    <tr class="header">
                        <th align="center" class="rpt_hdr" nowrap="nowrap">ID</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Active</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Action</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Item Number</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Description</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Unit Type</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Amount</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Discount %</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Taxable</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Deleted</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Del</th>
                    </tr>
                </HeaderTemplate>
            <ItemTemplate>
                    <tr class="shaded">
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("StoredpurchaseDetailId")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Active" runat="server" Checked='<%#Eval("IsActive")%>' enabled="false" /></td>
                        <td align="center" nowrap="nowrap"><a href="stored-edit.aspx?id=<%# Eval("StoredPurchaseDetailId") %>"><asp:Image ID="Image3" runat="server" ImageUrl="~/images/icons/icon_edit.gif" Width="16" Height="16" tooltip="Edit Item" /></a></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("itemnumber")%></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("description")%></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("unittype")%></td>
                        <td align="center" nowrap="nowrap"><%#FormatCurrency(Eval("amount"), 2)%></td>
                        <td align="center" nowrap="nowrap"><%#FormatNumber(Eval("discount"), 2)%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Taxable" runat="server" Checked='<%#Eval("IsTaxable")%>' enabled="false" /></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Deleted" runat="server" Checked='<%#Eval("IsDeleted")%>' enabled="false" /></td>
                        <td align="center" nowrap="nowrap"><asp:imageButton ID="lnk_delete" runat="server" ImageUrl="~/images/icons/icon_delete.gif" tooltip='<%# functions.GetStoredItemFoundToolTip(DataBinder.Eval(Container.DataItem, "StoredpurchaseDetailId"))%>' CommandName="delete" CommandArgument='<%# Eval("StoredPurchaseDetailId") %>' OnClientClick="return confirm('Are you sure you want to delete this stored line item?');" enabled='<%# functions.GetStoredItemFound(DataBinder.Eval(Container.DataItem, "StoredpurchaseDetailId"))%>' /></td>
                    </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
                    <tr class="noshaded">
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("StoredpurchaseDetailId")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Active" runat="server" Checked='<%#Eval("IsActive")%>' enabled="false" /></td>
                        <td align="center" nowrap="nowrap"><a href="stored-edit.aspx?id=<%# Eval("StoredPurchaseDetailId") %>"><asp:Image ID="Image3" runat="server" ImageUrl="~/images/icons/icon_edit.gif" Width="16" Height="16" tooltip="Edit Item" /></a></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("itemnumber")%></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("description")%></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("unittype")%></td>
                        <td align="center" nowrap="nowrap"><%#FormatCurrency(Eval("amount"), 2)%></td>
                        <td align="center" nowrap="nowrap"><%#FormatNumber(Eval("discount"), 2)%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Taxable" runat="server" Checked='<%#Eval("IsTaxable")%>' enabled="false" /></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Deleted" runat="server" Checked='<%#Eval("IsDeleted")%>' enabled="false" /></td>
                        <td align="center" nowrap="nowrap"><asp:imageButton ID="lnk_delete" runat="server" ImageUrl="~/images/icons/icon_delete.gif" tooltip='<%# functions.GetStoredItemFoundToolTip(DataBinder.Eval(Container.DataItem, "StoredpurchaseDetailId"))%>' CommandName="delete" CommandArgument='<%# Eval("StoredPurchaseDetailId") %>' OnClientClick="return confirm('Are you sure you want to delete this stored line item?');" enabled='<%# functions.GetStoredItemFound(DataBinder.Eval(Container.DataItem, "StoredpurchaseDetailId"))%>' /></td>
                    </tr>
            </AlternatingItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
        
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>
                    <div style="display:none;" runat="server" id="div_paging_btm" class="pages">
                        <span id="span_previous_btm" runat="server" class="nextprev">&laquo;&nbsp;Previous</span>
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="-1" CssClass="nextprev" ID="lnk_previous_btm" runat="server" Text="&laquo;&nbsp;Previous" />
                        <asp:Repeater ID="rpt_paging_btm" runat="server">
                            <ItemTemplate>
                                <asp:LinkButton OnCommand="PagingClick" CssClass="nextprev" ID="lnk_page" runat="server" CommandArgument='<%#DataBinder.Eval(Container, "DataItem.page")%>' Text='<%#DataBinder.Eval(Container, "DataItem.page")%>' />
                                <span id="span_page" class="currentPage" runat="server"><%#DataBinder.Eval(Container, "DataItem.page")%></span>
                            </ItemTemplate>
                        </asp:Repeater>	
                        <asp:LinkButton OnCommand="PagingClick" CommandArgument="+1" CssClass="nextprev" ID="lnk_next_btm" runat="server" Text="Next&nbsp;&raquo;" />
                        <span id="span_next_btm" runat="server" class="nextprev">Next&nbsp;&raquo;</span>
                    </div>
                </td>
            </tr>
        </table>
        
        <div>
        <asp:Image ID="Image1" runat="server" ImageUrl="~/images/spacer.gif" width="1" Height="15" AlternateText="Spacer" />
        </div>
        
    </div> 
    
</asp:Content>

