<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_reports_purchases, App_Web_tlzm-tzv" title="iPurchaseOrder v1.0 Administration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">
    <div id="leftcontent">

        <fieldset>
            <legend>Purchase Report Criteria</legend>
            <asp:DropDownList ID="y" runat="server" CssClass="lblDrop" AutoPostBack="true"></asp:DropDownList>
            <asp:DropDownList ID="dnv_status_id" runat="server" CssClass="lblDrop" AutoPostBack="true"></asp:DropDownList>
            
        </fieldset>


    </div>
    <div id="leftcontent2">

        <asp:PlaceHolder id="chart" runat="server"></asp:PlaceHolder>
        
        <div style="height:10px">&nbsp;</div>
    
        <fieldset>
            <legend>Monthly Purchase Totals</legend>
            <table width="100%" cellpadding="3">
                <tr>
                    <td><strong>Month</strong></td>
                    <td style="text-align: right;"><strong>Amount</strong></td>
                    <td style="text-align: right;"><strong>(-) Discount</strong></td>
                    <td style="text-align: right;"><strong>Shipping</strong></td>
                    <td style="text-align: right;"><strong>Tax Amount</strong></td>
                    <td style="text-align: right;"><strong>Tax Rate %</strong></td>
                    <td style="text-align: right;"><strong>Total</strong></td>
                </tr>
            
            <asp:Repeater ID="rptMonths" runat="server">
                <ItemTemplate>
                    <tr class="shaded">
                        <td><strong><%#Eval("month")%></strong></td>
                        <td style="text-align: right;"><%#FormatCurrency(Eval("amounts"), 2)%></td>
                        <td style="text-align: right;"><%#FormatCurrency(Eval("discounts"), 2)%></td>
                        <td style="text-align: right;"><%#FormatCurrency(Eval("shipping"), 2)%></td>
                        <td style="text-align: right;"><%#FormatCurrency(Eval("taxable_amount"), 2)%></td>
                        <td style="text-align: right;"><%#FormatNumber(Eval("tax_rate"), 2)%></td>
                        <td style="text-align: right;"><%#FormatCurrency(Eval("total"), 2)%></td>
                    </tr>
                </ItemTemplate>
                <AlternatingItemTemplate>
                    <tr class="noshaded">
                        <td><strong><%#Eval("month")%></strong></td>
                        <td style="text-align: right;"><%#FormatCurrency(Eval("amounts"), 2)%></td>
                        <td style="text-align: right;"><%#FormatCurrency(Eval("discounts"), 2)%></td>
                        <td style="text-align: right;"><%#FormatCurrency(Eval("shipping"), 2)%></td>
                        <td style="text-align: right;"><%#FormatCurrency(Eval("taxable_amount"), 2)%></td>
                        <td style="text-align: right;"><%#FormatNumber(Eval("tax_rate"), 2)%></td>
                        <td style="text-align: right;"><%#FormatCurrency(Eval("total"), 2)%></td>
                    </tr>
                </AlternatingItemTemplate>
                <FooterTemplate>
                    <tr class="action">
                        <td><strong>Total</strong></td>
                        <td style="text-align: right;"><strong><%=FormatCurrency(ViewState("amounts"), 2)%></strong></td>
                        <td style="text-align: right;"><strong><%=FormatCurrency(ViewState("discounts"), 2)%></strong></td>
                        <td style="text-align: right;"><strong><%=FormatCurrency(ViewState("shipping"), 2)%></strong></td>
                        <td style="text-align: right;"><strong><%=FormatCurrency(ViewState("taxable_amount"), 2)%></strong></td>
                        <td>&nbsp;</td>
                        <td style="text-align: right;"><strong><%= FormatCurrency(ViewState("total"), 2) %></strong></td>
                    </tr>
                </FooterTemplate>
            </asp:Repeater>
            
            </table>
        </fieldset>
    
    </div>
</asp:Content>