<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" validaterequest="true" enablesessionstate="true" enableviewstate="true" autoeventwireup="false" inherits="admin_received_edit, App_Web_8stq_u2j" title="iPurchaseOrder v1.0 Administration" %>
<%@ Register TagPrefix="ew" Namespace="eWorld.UI.Compatibility" Assembly="eWorld.UI.Compatibility" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">
    <div id="content_partial">
        <asp:Panel ID="pnl_saved" Visible="false" runat="server">
            <div id="div_saved" class="alert_box">
                    <p class="no_space_over no_space_under"><img alt="Saved" runat="server" src="~/images/status-green.gif" /> Your purchase has been saved.</p>
            </div>
        </asp:Panel>
        <asp:Panel ID="pnl_generated" Visible="false" runat="server">
            <div id="div1" class="alert_box">
                    <p class="no_space_over no_space_under"><img alt="Saved" runat="server" src="~/images/status-green.gif" /> Purchase <asp:Label ID="next_purchase_id" runat="server" /> was generated.</p>
            </div>
        </asp:Panel>
        
        <div align="center">
		    <asp:label id="txtBoxError" runat="server" Font-Size="Small" Font-Bold="true" ForeColor="red" BorderStyle="None"></asp:label>
		</div>

        <asp:PlaceHolder ID="errs" runat="server" />        

        <table align="center" border="0" cellspacing="0" cellpadding="0" width="100%">
	        <tr>
		        <td align="center" valign="top">
                    <div class="right">
                        <a runat="server" id="lnk_print" target="_blank">Print Purchase</a>
                    </div>
		            <div>
		                <table border="0" cellpadding="0" width="100%" align="center" cellspacing="0">
			                <tr>
				                <td valign="top" class="left" style="width: 50%;">
                                    <fieldset style="height: 110px;" runat="server" id="fld_vendor_select">
                                        <legend>Choose a vendor</legend>
                                        <table border="0" cellspacing="0" cellpadding="3">
                                            <tr>
                                                <td></td>
                                                <td><asp:RequiredFieldValidator ID="rfv_vendors_id" ControlToValidate="dnv_clients_id" ValidationGroup="vendor" runat="server" Display="dynamic" Type="Integer" InitialValue="0" ErrorMessage="You must choose a vendor." ></asp:RequiredFieldValidator></td>
                                            </tr>
                                            <tr>
                                                <td class="lbl_bold left">vendor:</td>
                                                <td><asp:DropDownList ID="dnv_clients_id" runat="server" ValidationGroup="vendor" /></td>
                                            </tr>
                                            <tr>
                                                <td colspan="2" class="right" style="padding-top:6px;"><asp:Button ID="cmd_vendors" runat="server" Text="Done" ValidationGroup="vendor" /></td>
                                            </tr>
                                        </table>
                                    </fieldset>
				                    <fieldset style="height: 110px;" runat="server" id="fld_vendor_display">
				                        <legend>Vendor <asp:Label runat="server" Id="lblLeft" Text="(" /><asp:LinkButton ID="lnk_change_vendor" runat="server" Text="change" /><asp:Label runat="server" Id="lblRight" Text=")" /></legend>
				                        <div runat="server" id="order_from" />
				                        <div runat="server" id="emailIds" visible="false">
                                            <asp:Label runat="server" Id="email" Text="" />
                                            <br /><asp:Label runat="server" Id="alternate_email" Text="" />
				                        </div>
				                    </fieldset>

<fieldset style="height: 85px;" id="fld_divisions" runat="server">
<legend>Division Details</legend>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
    <tr><td nowrap="nowrap" class="lbl_bold left">Division/Location:</td>
    <td align="right" nowrap="nowrap" class="lbl right">
    <asp:Label id="lbl_dnv_divisions_id" Text="" Visible="false" runat="server" />
    <asp:dropdownlist id="dnv_divisions_id" runat="server" Width="200px" AutoPostBack="True" />
    </td>
    </tr>
    <tr><td nowrap="nowrap" class="lbl_bold left">Department:</td>
    <td align="right" nowrap="nowrap" class="lbl right">
    <asp:Label id="lbl_dnv_departments_id" Text="" Visible="false" runat="server" />
    <asp:dropdownlist id="dnv_departments_id" runat="server" Width="200px" AutoPostBack="True" />
    </td>
    </tr>
    <tr><td nowrap="nowrap" class="lbl_bold left">Project:</td>
    <td align="right" nowrap="nowrap" class="lbl right">
    <asp:Label id="lbl_dnv_projects_id" Text="" Visible="false" runat="server" />
    <asp:dropdownlist id="dnv_projects_id" runat="server" Width="200px" AutoPostBack="True" />
    </td>
    </tr>
</table>
</fieldset>				                    
				                </td>
				                <td style="width: 15;">&nbsp;</td>
				                <td valign="top" style="width: 50%;">
				                    <fieldset style="height: 228px;" id="fld_purchase" runat="server">
				                        <legend>Purchase Details</legend>
				                        <table width="100%" cellpadding="2" cellspacing="0" border="0">
					                        <tr>
						                        <td nowrap="nowrap" class="lbl_bold left">Purchase Number:</td>
						                        <td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="purchase_prefix" Runat="server" /><asp:Label ID="purchase_id" Runat="server" /></td>
					                        </tr>
					                        <tr>
						                        <td nowrap="nowrap" class="lbl_bold left">Purchase Date:</td>
						                        <td align="right" nowrap="nowrap" class="lbl right"><ew:CalendarPopup PopupLocation="Left" DisplayOffsetX="-60" runat="server" ID="purchase_date" ControlDisplay="LabelImage" ImageUrl="~/images/calendar.gif" AutoPostBack="True" /></td>
					                        </tr>
					                        <tr>
						                        <td nowrap="nowrap" class="lbl_bold left">Due Date:</td>
						                        <td align="right" nowrap="nowrap" class="lbl right"><ew:CalendarPopup PopupLocation="left" DisplayOffsetX="-60" runat="server" id="due_date" ControlDisplay="LabelImage" ImageUrl="~/images/calendar.gif" AutoPostBack="True" /></td>
					                        </tr>
					                        <tr>
						                        <td nowrap="nowrap" class="lbl_bold left">Status:</td>
						                        <td align="right" nowrap="nowrap" class="lbl right">
						                        <asp:Label id="lbl_dnv_status_id" Text="" runat="server" />
						                        <asp:DropDownList AutoPostBack="true" ID="dnv_status_id" runat="server" />
						                        <asp:Label runat="server" Id="completed_status" visible="false">Completed</asp:Label>
						                        </td>
					                        </tr>
<tr>
<td nowrap="nowrap" class="lbl_bold left">FOB:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="fob" Runat="server" /></td>
</tr>
<tr>
<td nowrap="nowrap" class="lbl_bold left">VIA:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="via" Runat="server" /></td>
</tr>
<tr>
<td nowrap="nowrap" class="lbl_bold left">Terms:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="poterms" Runat="server" /></td>
</tr>
<tr>
<td nowrap="nowrap" class="lbl_bold left">Items received:</td>
<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="items_received" Runat="server" /></td>
</tr>
					                        <tr>
						                        <td nowrap="nowrap" class="lbl_bold left">Sent to Vendor:</td>
						                        <td align="right" nowrap="nowrap" class="lbl right">
                                                    <asp:HyperLink runat="server" ID="purchase_sent" NavigateUrl=""></asp:HyperLink></td>
					                        </tr>
				                        </table>
					                </fieldset>

				                <fieldset style="height: 228px;" runat="server" id="fld_recurring">
		                            <legend>Recurring Purchase Details</legend>
			                        <table id="tbl_recurring" runat="server" width="100%" cellpadding="2" cellspacing="0" border="0">
										<tr>
											<td nowrap="nowrap" class="disabled lbl_bold">Recurring Purchase Number:</td>
											<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="recurring_purchase_id" Runat="server" /></td>
					                    </tr>
										<tr>
											<td nowrap="nowrap" class="disabled lbl_bold">Recurring Purchase Creation Date:</td>
											<td align="right" nowrap="nowrap" class="lbl right"><asp:Label ID="creation_date" runat="server"></asp:Label></td>
										</tr>
										<tr>
						                    <td nowrap="nowrap" class="disabled lbl_bold">Status:</td>
						                    <td align="right" nowrap="nowrap" class="lbl right"><asp:DropDownList AutoPostBack="true" ID="dnv_recurring_status_id" runat="server" /></td>
					                    </tr>
				                        <tr>
					                        <td class="disabled lbl_bold">Create the Next Purchase On:</td>
					                        <td class="disabled right"><ew:CalendarPopup Enabled="false" PopupLocation="Left" DisplayOffsetY="-120" DisplayOffsetX="-20" runat="server" id="cal_recurring" ControlDisplay="TextBoxImage" Width="70" ImageUrl="~/images/calendar.gif" AutoPostBack="true" /></td>
					                    </tr>
					                    <tr>
					                        <td class="disabled lbl_bold">After That, Create a New Purchase Every:</td>
					                        <td class="disabled right"><asp:TextBox Enabled="False" CssClass="rpt_txt_center" Text="1" ID="txt_recurring" MaxLength="3" runat="server" Width="40" AutoPostBack="true" /> <ajaxToolkit:FilteredTextBoxExtender ID="ajax_txt_recurring" runat="server" TargetControlID="txt_recurring" FilterType="Numbers" />
                                               <asp:DropDownList runat="server"  Enabled="False" ID="dnv_recurringtype_id" DataTextField="type" DataValueField="id" AutoPostBack="true"></asp:DropDownList>
					                        </td>
					                    </tr>
                                        <tr>
					                        <td class="disabled lbl_bold">Don't Create Any Purchases After:</td>
					                        <td class="disabled right"><ew:CalendarPopup Enabled="false" PopupLocation="Left" DisplayOffsetY="-120" DisplayOffsetX="-20" runat="server" id="cal_recurring1" ControlDisplay="TextBoxImage" Width="70" ImageUrl="~/images/calendar.gif" Nullable="true" AutoPostBack="true" />
					                        <asp:CompareValidator ID="c_recurringendate" runat="server" EnableClientScript="False" Display="dynamic" ControlToValidate="cal_recurring1" ControlToCompare="cal_recurring" Operator="GreaterThan" Type="Date" ErrorMessage="Final Purchase date must be after next purchase date." ></asp:CompareValidator></td>
					                    </tr>
				                        <tr>
					                        <td class="disabled lbl_bold">Days to Pay Each Purchase:</td>
					                        <td class="disabled right"><asp:TextBox Enabled="False" CssClass="rpt_txt_center" Text="30" ID="txt_recurring_daystopay" MaxLength="3" runat="server" Width="40" AutoPostBack="true" /><ajaxToolkit:FilteredTextBoxExtender ID="ajax_txt_recurring_daystopay" runat="server" TargetControlID="txt_recurring_daystopay" FilterType="Numbers" /></td>
					                    </tr>
					                    <tr>
											<td class="disabled lbl_bold">Automatically Charge?</td>
											<td class="disabled right"><asp:CheckBox Enabled="false" ID="automatic_charge" runat="server" AutoPostBack="true" /></td>
										</tr>

					                </table>
		                        </fieldset>
				                </td>
			                </tr>
<asp:Panel ID="pnl_Variables" Visible="false" runat="server">
<tr><td colspan="3">
<div style="text-align:left;">
DivID=&nbsp;<asp:label ID="P_DivID" runat="server" visible="true"/>
DivName=&nbsp;<asp:TextBox ID="P_DivName" cssclass="label" style="text-align:right" Enabled="false" Visible="true" ValidationGroup="Division" runat="server" />
DivNum=&nbsp;<asp:TextBox ID="P_DivNumber" CssClass="label" style="text-align:right" Enabled="false" runat="server" visible="true"/>
</div>
<div style="text-align:left;">
DeptID=&nbsp;<asp:label ID="P_DeptID" runat="server" visible="true"/>
DeptName=&nbsp;<asp:TextBox ID="P_DeptName" cssclass="label" style="text-align:right" Enabled="false" Visible="true" ValidationGroup="Division" runat="server" />
DeptNum=&nbsp;<asp:TextBox ID="P_DeptNumber" CssClass="label" style="text-align:right" Enabled="false" runat="server" visible="true"/>
</div>
<div style="text-align:left;">
ProjID=&nbsp;<asp:label ID="P_ProjID" runat="server" visible="true"/>
ProjNum=&nbsp;<asp:TextBox ID="P_ProjNumber" CssClass="label" style="text-align:right" Enabled="false" runat="server" visible="true"/>
ProjName=&nbsp;<asp:TextBox ID="P_ProjName" cssclass="label" style="text-align:right" Enabled="false" Visible="true" ValidationGroup="Division" runat="server" />
</div>
</td></tr>
</asp:Panel>

<tr><td colspan="3">
<asp:Panel ID="pnl_required" Visible="false" runat="server">
<div>
<asp:RequiredFieldValidator ID="r1" runat="server" ErrorMessage="The division is required." ControlToValidate="P_DivName" ValidationGroup="Division" EnableClientScript="false" />
<asp:RequiredFieldValidator ID="r2" runat="server" ErrorMessage="The department is required." ControlToValidate="P_DeptName" ValidationGroup="Division" EnableClientScript="false" />
<asp:RequiredFieldValidator ID="r3" runat="server" ErrorMessage="The project is required." ControlToValidate="P_ProjNumber" ValidationGroup="Division" EnableClientScript="false" />
<asp:RequiredFieldValidator ID="r4" runat="server" ErrorMessage="The shipping is required." ControlToValidate="shipping" ValidationGroup="Division" EnableClientScript="false" />
</div>
</asp:Panel>
</td></tr>

<tr>
<td align="left" valign="top" style="width: 48%;">
<fieldset style="height: 110px;" runat="server" id="fld_company_display">
<legend>Bill To:</legend>
<div runat="server" id="bill_to" />
</fieldset>
</td>
<td style="width: 15px;">&nbsp;</td>
<td align="left" valign="top" style="width: 50%;">
<fieldset style="height: 110px;" runat="server" id="fld_division_display">
<legend>Ship To:</legend>
<div runat="server" id="ship_to" />
</fieldset>
</td>
</tr>
			                
		                </table>
		            </div>
		            <div>
		                <asp:Repeater ID="rpt" Runat="server">
		                    <HeaderTemplate>
		                        <table class="data" cellspacing="0" cellpadding="0" border="0" width="100%">
		                            <tr class="title" style="text-align: left;">
                                        <td colspan="11"><h2>Purchase Items</h2></td>
                                    </tr>
			                        <tr class="header">
			                            <th valign="top" width="80" align="center">&nbsp;</th>
				                        <th valign="top" class="left lbl_bold">Description</th>
				                        <th valign="top" class="left lbl_bold">Item Number</th>
				                        <th valign="top" width="66" class="left lbl_bold">Units</th>
				                        <th valign="top" width="66" class="lbl_bold center">Quantity</th>
				                        <th valign="top" width="75" class="lbl_bold center">Unit Price</th>
				                        <th valign="top" width="100" class="lbl_bold center">Sub Total</th>
				                        <th valign="top" width="66" class="lbl_bold center">Discount %</th>
				                        <th valign="top" width="100" class="lbl_bold center">Total</th>
				                        <th valign="top" width="30" class="lbl_bold center">Taxable</th>
				                        <th valign="top" width="1" class="lbl_bold center">Received</th>
			                        </tr>
		                    </HeaderTemplate>		        
			                <ItemTemplate>
                                <tr>
                                    <td style="vertical-align:middle;">
                                        <asp:ImageButton CommandArgument="delete" ID="delete_item" runat="server" AlternateText="Delete Item" ImageUrl="~/images/del_16.gif" BorderStyle="none" />
                                        <asp:Label ID="detail_id" runat="server" Visible="false" Text='<%#Eval("id")%>' />
                                        <asp:Label ID="display_number" runat="server" Visible="false" Text='<%#Eval("DisplayNumber")%>' />
                                        <asp:ImageButton ID="ibtnUp" runat="server" CommandName="OrderUp" ImageUrl="~/images/up-arrow.gif" ToolTip="Move this item one up"></asp:ImageButton>
                                        <asp:ImageButton ID="ibtnDown" runat="server" Width="11px" CommandName="OrderDown" ImageUrl="~/images/down-arrow.gif" ToolTip="Move this item one down" Height="11px"></asp:ImageButton>
                                    </td>
                                    <td style="vertical-align:middle;" class="left"><asp:DropDownList AutoPostBack="true" OnSelectedIndexChanged="StoredItem" Width="120" ID="stored" runat="server" />&nbsp;<asp:TextBox Width="200" CssClass="rpt_txt" OnTextChanged="UpdateItems" AutoPostBack="true" ID="description" runat="server" Text='<%#Eval("description")%>' /></td>
<td style="vertical-align:middle; text-align: left;"><asp:TextBox CssClass="rpt_txt_left" ID="itemnumber" ReadOnly="true" Enabled="false" runat="server" Text='<%# Eval("ItemNumber") %>' /></td>
<td style="vertical-align:middle; text-align: left;"><asp:Label ID="unitid" runat="server" Visible="false" Text='<%#Eval("unitid")%>' /><asp:TextBox CssClass="rpt_txt" ID="unittype" ReadOnly="true" Enabled="false" runat="server" Text='<%# Eval("UnitType") %>' /></td>
                                    <td style="vertical-align:middle;"><asp:TextBox CssClass="rpt_txt_center" OnTextChanged="UpdateItems" AutoPostBack="true" ID="quantity" runat="server" Text='<%# FormatNumber(Eval("Quantity"),2) %>' /><ajaxToolkit:FilteredTextBoxExtender ID="ftb_quantity" runat="server" TargetControlID="quantity" FilterType="Custom, Numbers" ValidChars=".,-" /></td>
                                    <td style="vertical-align:middle;"><asp:TextBox CssClass="rpt_txt_center" OnTextChanged="UpdateItems" AutoPostBack="true" ID="amount" runat="server" Text='<%# FormatNumber(Eval("Amount"), 2) %>' /><ajaxToolkit:FilteredTextBoxExtender ID="ftb_amount" runat="server" TargetControlID="amount" FilterType="Custom, Numbers" ValidChars=".,-" /></td>
<td style="vertical-align:middle;"><asp:TextBox CssClass="rpt_txt_center" ID="item_Subtotal" Enabled="false" ReadOnly="true" runat="server" Text='<%# FormatNumber(Eval("ItemSubTotal"), 2) %>' /></td>
<td style="vertical-align:middle;"><asp:TextBox CssClass="rpt_txt_center" OnTextChanged="UpdateItems" AutoPostBack="true" ID="discount" runat="server" Text='<%# FormatNumber(Eval("discount"), 2) %>' /><ajaxToolkit:FilteredTextBoxExtender ID="ftb_discount" runat="server" TargetControlID="discount" FilterType="Custom, Numbers" ValidChars=".,-" /></td>
                                    <td style="vertical-align:middle;"><asp:TextBox CssClass="rpt_txt_center" ID="item_total" Enabled="false" ReadOnly="true" runat="server" Text='<%# FormatNumber(Eval("ItemTotal"), 2) %>' /></td>
                                    <td style="vertical-align:middle;"><asp:CheckBox ID="taxable" runat="server" OnCheckedChanged="TaxableClick" Checked='<%# Convert.ToBoolean(Eval("Taxable")) %>' AutoPostBack="true" /></td>
<td style="vertical-align:middle;"><asp:CheckBox ID="received_item" runat="server" Checked='<%# Convert.ToBoolean(Eval("ReceivedItem")) %>' AutoPostBack="false" enabled="true" visible="true" ToolTip="Check for item received." /></td>
                                    </tr>
			                </ItemTemplate>
		                    <FooterTemplate>
		                        </table>
		                    </FooterTemplate> 
		                </asp:Repeater>
		            </div>
		            <div class="right">
		                <table class="left" cellpadding="4" cellspacing="0" width="100%" border="0">
			                <tr>
				            <td class="lbl"><asp:Button ID="add_item" runat="server" Text="Add Item" OnClick="add_item_Click" /></td>
			                </tr>
			                <tr><td>
			                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/spacer.gif" Width="1" Height="1" AlternateText="Spacer" />
			                </td></tr>
		                </table>
		            </div>		            
		            <table width="100%" cellpadding="0" cellspacing="0" border="0">
		                <tr>
		                    <td valign="top" class="left" style="width:48%;">
		                        <fieldset> 
                                    <legend>Comments</legend>
                                    <asp:label runat="server" ForeColor="red" ID="lblCommentError" Text="Comment must not exceed 200 characters" Visible="false"></asp:label>
                                    <asp:TextBox ID="comments" runat="server" TextMode="MultiLine" MaxLength="200" Width="400" Height="50" AutoPostBack="true"></asp:TextBox>
                                    <ajaxToolkit:TextBoxWatermarkExtender ID="tbwe1" runat="server"
                                        TargetControlID="comments"
                                        WatermarkText="Comments are visible to the Vendor"
                                        WatermarkCssClass="watermark" />
				                </fieldset>
				                <fieldset id="fld_comments_to_purchases" runat="server" visible="false"> 
                                    <legend>Comments Sent to Generated Purchases</legend>
                                    <asp:label runat="server" ForeColor="red" ID="lblCommentsToPurchasesError" Text="Comment must not exceed 200 characters" Visible="false"></asp:label>
                                    <asp:TextBox ID="comments_to_purchases" runat="server" TextMode="MultiLine" MaxLength="200" Width="400" Height="50" AutoPostBack="true"></asp:TextBox>
                                    <ajaxToolkit:TextBoxWatermarkExtender ID="tbwe2" runat="server"
                                        TargetControlID="comments_to_purchases"
                                        WatermarkText="Comments are copied to each generated purchase and visible to the vendor"
                                        WatermarkCssClass="watermark" />
				                </fieldset>
		                    </td>
		                    <td style="width:50px;">&nbsp;</td>
		                    <td valign="top" class="right" style="width:48%;">
		                        <fieldset>
		                            <legend>Totals</legend>
		                            <table width="100%" cellpadding="1" cellspacing="2" border="0">
	                                    <tr>
		                                    <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>Sub-Total</b></td>
		                                    <td nowrap="nowrap" width="100" align="center" class="lbl_bold"><asp:TextBox ID="sub_total" runat="server" CssClass="righttotal" Width="80" Enabled="false" /></td>
	                                    </tr>
<tr>
<td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>(-) Discounts</b></td>
<td nowrap="nowrap" width="100" align="center" class="lbl_bold"><asp:TextBox ID="discounts_total" runat="server" CssClass="righttotal" Width="80" Enabled="false" /></td>
</tr>
	                                    <tr>
		                                    <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b><asp:Label ID="tax_label" runat="server"></asp:Label> <asp:TextBox ID="tax_rate" Text="0.0" AutoPostBack="true" Width="36" CssClass="center" runat="server" /><ajaxToolkit:FilteredTextBoxExtender ID="ftb_tax_rate" runat="server" TargetControlID="tax_rate" FilterType="Custom, Numbers" ValidChars="." />%</b></td>
		                                    <td nowrap="nowrap" width="100" align="center" class="lbl_bold"><asp:TextBox ID="tax" runat="server" CssClass="righttotal" Width="80" Enabled="false" /></td>
	                                    </tr>
	                                    <asp:Panel ID="tax_2_panel" runat="server">
	                                    <tr>
		                                    <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b><asp:Label ID="tax_2_label" runat="server"></asp:Label> <asp:TextBox ID="tax_2_rate" Text="0.0" AutoPostBack="true" Width="36" CssClass="center" runat="server" /><ajaxToolkit:FilteredTextBoxExtender ID="ftb_tax_2_rate" runat="server" TargetControlID="tax_2_rate" FilterType="Custom, Numbers" ValidChars="." />%</b></td>
		                                    <td nowrap="nowrap" width="100" align="center" class="lbl_bold"><asp:TextBox ID="tax2" runat="server" CssClass="righttotal" Width="80" Enabled="false" /></td>
	                                    </tr>
	                                    </asp:Panel>
<tr>
<td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>Shipping Amount</b></td>
<td nowrap="nowrap" width="100" align="center" class="lbl_bold right"><asp:textbox ID="shipping" ValidationGroup="Division" OnTextChanged="UpdateShipping" AutoPostBack="false" CssClass="shippingReceived" style="text-align:right" Width="80" Runat="server" /></td>
</tr>
	                                    <tr>
		                                    <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>Total</b></td>
		                                    <td nowrap="nowrap" width="100" align="center" class="lbl_bold"><asp:TextBox ID="total" runat="server" CssClass="righttotal" Width="80" Enabled="false" /></td>
	                                    </tr>
	                                    <asp:Panel ID="view_payments" Visible="false" runat="server">
	                                    <tr>
		                                    <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><asp:LinkButton OnClientClick="return confirm('Are you sure you want to navigate from this page?');" ID="lnk_payments" runat="server" Font-Bold="true" Text="View Payments" /> <asp:LinkButton OnClientClick="return confirm('Are you sure you want to navigate from this page?');" ID="lnk_make_payment" runat="server" Font-Bold="true" Text="Apply Payment" /></td>
		                                    <td nowrap="nowrap" width="100" align="center" class="lbl_bold"><asp:TextBox ID="payments" runat="server" CssClass="righttotal" Width="80" Enabled="false" /></td>
	                                    </tr>
	                                    <tr>
		                                    <td align="right" nowrap="nowrap" width="100%" class="lbl_bold right"><b>Amount Due</b></td>
		                                    <td nowrap="nowrap" width="100" align="center" class="lbl_bold"><asp:TextBox ForeColor="red" ID="amount_due" runat="server" CssClass="righttotal" Width="80" Enabled="false" /></td>
	                                    </tr>
	                                    </asp:Panel>
	                                    <asp:Panel ID="credit_warning" runat="server" Visible="false">
	                                    <tr>
											<td class="lbl_bold" style="color:Red" colspan="2">Your purchase currently has a negative outstanding balance.  This amount will not be applied to any other purchases.</td>
										</tr>
	                                    </asp:Panel>
                                    </table>
		                        </fieldset>		                
		                    </td>
		                </tr>
		            </table>
		            <div>
		                <table width="100%" cellpadding="8" cellspacing="0" align="center" border="0">
			                <tr>
				                <td width="100%" align="right">
				                &nbsp;<asp:Button ID="cmd_generate" runat="server" Text="Generate Next Purchase" CssClass="btn" />
				                &nbsp;<asp:Button ID="cmd_send" runat="server" Text="Send Email" CssClass="btn" /> 
				                &nbsp;<asp:Button ID="cmd_save" runat="server" CssClass="btn" Text="Save Purchase" ValidationGroup="Division" />
&nbsp;<asp:Button ID="cmd_refresh" runat="server" CssClass="btn" Text="Refresh" Visible="false" />
				                </td>
			                </tr>
		                </table>
		            </div>
<div align="left">
<asp:Button ID="show_generated" Text="Show Generated Purchases" CssClass="btn" visible="true" runat="server" />
<asp:Button ID="hide_generated" Text="Hide Generated Purchases" CssClass="btn" visible="false" runat="server" /> 
</div>
<div>&nbsp;</div>
        <asp:Panel ID="pnl_generated_purchases" Visible="false" runat="server">
		            <table width="100%">
						<tr>
							<td width="57%" valign="top">
                                <fieldset id="fld_recurring_purchases" runat="server">
									<legend>Generated Purchases</legend>
									<table width="100%" cellpadding="4" cellspacing="0" border="0">
										<tr class="action">
											<td class="left rpt_hdr">ID</td>
											<td class="left rpt_hdr">Total</td>
											<td class="left rpt_hdr">Paid</td>
											<td class="left rpt_hdr">Created</td>
											<td class="left rpt_hdr">Due</td>
											<td class="left rpt_hdr">Status</td>
										</tr>
										<asp:Repeater ID="rptGeneratedPurchases" runat="server">
											<ItemTemplate>
												<tr class="shaded">
													<td><a href="edit.aspx?id=<%#Eval("ID")%>"><%# Eval("ID") %></a></td>
													<td><%#FormatCurrency(Eval("PurchaseTotal"), 2)%></td>
													<td><%#FormatCurrency(Eval("PaymentsTotal"), 2)%></td>
													<td><%#FormatDateTime(Convert.ToDateTime(Eval("PurchaseDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
													<td><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
													<td><%#Eval("status")%></td>
												</tr>
											</ItemTemplate>
											<AlternatingItemTemplate>
                                                <tr class="noshaded">
													<td><a href="edit.aspx?id=<%#Eval("ID")%>"><%#Eval("ID")%></a></td>
													<td><%#FormatCurrency(Eval("PurchaseTotal"), 2)%></td>
													<td><%#FormatCurrency(Eval("PaymentsTotal"), 2)%></td>
													<td><%#FormatDateTime(Convert.ToDateTime(Eval("PurchaseDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
													<td><%#FormatDateTime(Convert.ToDateTime(Eval("DueDate")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
													<td><%#Eval("status")%></td>
												</tr>
											</AlternatingItemTemplate>
										</asp:Repeater>
									</table>
								</fieldset>
							</td>
							<td style="width:50px;">&nbsp;</td>
							<td width="41%" valign="top">
								<fieldset id="fld_purchase_payments" runat="server">
									<legend>Purchase Payments</legend>
									<table width="100%" cellpadding="4" cellspacing="0" border="0">
										<tr class="action">
											<td class="left rpt_hdr">ID</td>
											<td class="left rpt_hdr">Purchase ID</td>
											<td class="left rpt_hdr">Amount</td>
											<td class="left rpt_hdr">Type</td>
											<td class="left rpt_hdr">Date</td>
										</tr>
										<asp:Repeater ID="rptPurchasePayments" runat="server">
											<ItemTemplate>
												<tr class="shaded">
													<td><a href="../paymentspo/edit.aspx?id=<%#Eval("PaymentID")%>"><%#Eval("PaymentID")%></a></td>
													<td><a href="edit.aspx?id=<%#Eval("PurchaseID")%>"><%#Eval("PurchaseID")%></a></td>
													<td><%#FormatCurrency(Eval("Amount"), 2)%></td>
													<td><%#Eval("PaymentType")%></td>
													<td><%#FormatDateTime(Convert.ToDateTime(Eval("Inserted")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
												</tr>
											</ItemTemplate>
											<AlternatingItemTemplate>
                                                <tr class="noshaded">
													<td><a href="../paymentspo/edit.aspx?id=<%#Eval("PaymentID")%>"><%#Eval("PaymentID")%></a></td>
													<td><a href="edit.aspx?id=<%#Eval("PurchaseID")%>"><%#Eval("PurchaseID")%></a></td>
													<td><%#FormatCurrency(Eval("Amount"), 2)%></td>
													<td><%#Eval("PaymentType")%></td>
													<td><%#FormatDateTime(Convert.ToDateTime(Eval("Inserted")), Microsoft.VisualBasic.DateFormat.ShortDate)%></td>
												</tr>
											</AlternatingItemTemplate>
										</asp:Repeater>
									</table>
								</fieldset>
							</td>
						</tr>
					</table>
</asp:Panel>
		        </td>
	        </tr>
        </table>
    </div>      
</asp:Content>

